#pragma semicolon 1
#include <sourcemod>

public Plugin:myinfo = 
{
	name	= "Killer Info",
	author	= "wS (World-Source.Ru)",
	version	= "1.0.1"
};

new bool:g_MenuEnabled[MAXPLAYERS + 1];

public OnPluginStart()
{
	HookEvent("player_death", player_death);
}

public OnClientPutInServer(client)
{
	g_MenuEnabled[client] = true;
}

public player_death(Handle:event, const String:name[], bool:silent)
{
	new killer = GetClientOfUserId(GetEventInt(event, "attacker"));
	if (killer < 1 || IsFakeClient(killer))
		return;

	new victim = GetClientOfUserId(GetEventInt(event, "userid"));
	if (!g_MenuEnabled[victim] || GetClientTeam(victim) == GetClientTeam(killer))
		return;

	new Handle:panel = CreatePanel();
	decl String:text[65];
	Format(text, 65, "Вас убил: %N\n \n", killer);
	DrawPanelText(panel, text);

	GetEventString(event, "weapon", text, 65);
	Format(text, 65, "Оружие: %s", text);
	DrawPanelText(panel, text);

	Format(text, 65, "HP: %d", GetEntProp(killer, Prop_Send, "m_iHealth"));
	DrawPanelText(panel, text);

	decl Float:killer_vec[3], Float:victim_vec[3];
	GetClientAbsOrigin(victim, victim_vec); GetClientAbsOrigin(killer, killer_vec);
	Format(text, 65, "Расстояние:  %.1f метр(а/ов)\n \n", GetVectorDistance(victim_vec, killer_vec) / 39.3);
	DrawPanelText(panel, text);

	DrawPanelItem(panel, "НЕ ХОЧУ видеть это меню");
	DrawPanelItem(panel, "Выход");
	SendPanelToClient(panel, victim, Panel_CallBack, 10);
	CloseHandle(panel);
}

public Panel_CallBack(Handle:menu, MenuAction:action, client, item)
{
	if (action == MenuAction_Select && item == 1)
	{
		g_MenuEnabled[client] = false;
		PrintToChat(client, "\x04Вы больше НЕ будете видеть это меню");
	}
}